Bug 1840689 - New profile: optimize-serial-console
Summary: New profile: optimize-serial-console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: tuned
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Škarvada
QA Contact: Robin Hack
Jaroslav Klech
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-27 12:46 UTC by Karl Abbott
Modified: 2020-11-04 02:07 UTC (History)
4 users (show)

Fixed In Version: tuned-2.14.0-0.1.rc1.el8
Doc Type: Enhancement
Doc Text:
.A new `optimize-serial-console` TuneD profile to reduce I/O to serial consoles by lowering the `printk` value With this update, a new `optimize-serial-console` TuneD profile is available. In some scenarios, kernel drivers can send large amounts of I/O operations to the serial console. Such behavior can cause temporary unresponsiveness while the I/O is written to the serial console. The `optimize-serial-console` profile reduces this I/O by lowering the `printk` value from the default of *7 4 1 7* to *4 4 1 7*. Users with a serial console who wish to make this change on their system can instrument their system as follows: ---- # tuned-adm profile throughput-performance optimize-serial-console ---- As a result, users will have a lower `printk` value that persists across a reboot, which reduces the likelihood of system hangs. This TuneD profile reduces the amount of I/O written to the serial console by removing debugging information. If you need to collect this debugging information, you should ensure this profile is not enabled and that your `printk` value is set to *7 4 1 7*. To check the value of `printk` run: ---- # cat /proc/sys/kernel/printk ----
Clone Of:
Environment:
Last Closed: 2020-11-04 02:03:08 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4559 0 None None None 2020-11-04 02:03:10 UTC

Comment 2 Jaroslav Škarvada 2020-05-28 14:07:31 UTC
Upstream PR:
https://github.com/redhat-performance/tuned/pull/273

Comment 17 errata-xmlrpc 2020-11-04 02:03:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (tuned bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4559


Note You need to log in before you can comment on or make changes to this bug.